/* kv */
@-webkit-keyframes kv__action {
  0%, 100% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
  50% {
    -webkit-transform: translateY(-10px);
            transform: translateY(-10px);
  }
}
@keyframes kv__action {
  0%, 100% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
  50% {
    -webkit-transform: translateY(-10px);
            transform: translateY(-10px);
  }
}
.pd-block h2.title--main-normal {
  font-weight: 600;
}

.kv {
  padding: 0 0 50px;
  background: url("https://storage-asset.msi.com/global/picture/image/feature/laptop-accessories/msi-pen2s/kv-bg-v1.jpg") bottom right no-repeat;
  background-size: cover;
  overflow: hidden;
}
.kv__main {
  max-width: 1920px;
  width: 95%;
  margin: auto;
  position: relative;
}
.kv__main-pen {
  position: relative;
  z-index: 1;
  width: 90%;
  margin: 0 auto 0 100px;
}
.kv__main-pen .pen1 {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -webkit-animation: kv__action 1.5s 2s infinite alternate ease-in-out;
          animation: kv__action 1.5s 2s infinite alternate ease-in-out;
}
.kv__main-pen .pen2 {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -webkit-animation: kv__action 1.5s 1.5s infinite alternate ease-in-out;
          animation: kv__action 1.5s 1.5s infinite alternate ease-in-out;
}
.kv__main-pen .bgline {
  position: relative;
  z-index: 0;
  width: 100%;
}
.kv__main-slogan {
  position: relative;
  z-index: 1;
  width: 80%;
  margin: 30px auto 0;
}
.kv p {
  margin: 20px auto 0;
  text-align: center;
  text-shadow: 1px 0px 10px #fff, 1px 0px 10px #fff;
}

@media (min-width: 996px) {
  .kv__main {
    width: 55%;
  }
  .kv__main-pen {
    margin: 0;
  }
  .kv__main-slogan {
    position: absolute;
    width: 45%;
    top: 70%;
    right: 0;
    margin: 0;
  }
  .kv p {
    margin: 50px auto 0;
    width: 50%;
  }
}

/* ID Design */
.idDesign {
  background: url("https://storage-asset.msi.com/global/picture/image/feature/laptop-accessories/msi-pen2s/idDesign-bg.jpg") center center no-repeat;
  background-size: cover;
  padding: 50px 0;
  overflow: hidden;
}
.idDesign__flex {
  display: grid;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  gap: 30px;
}
.idDesign__flex-txt {
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
  text-align: center;
}
.idDesign__flex-pd {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 20px;
}
.idDesign__flex-pd .idDesignList {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
  -webkit-box-pack: space-evenly;
      -ms-flex-pack: space-evenly;
          justify-content: space-evenly;
  gap: 10px;
}
.idDesign__flex-pd .idDesignList figure {
  width: 50%;
  background: -webkit-gradient(linear, left bottom, left top, color-stop(40%, #e0f7ff), to(#b0a8ff));
  background: linear-gradient(to top, #e0f7ff 40%, #b0a8ff);
  border-radius: 15px;
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: end;
      -ms-flex-align: end;
          align-items: flex-end;
  overflow: hidden;
}
.idDesign__flex-pd .idDesignList figure img {
  -webkit-transition: 0.5s ease-in-out;
  transition: 0.5s ease-in-out;
}
.idDesign__flex-pd .idDesignList figure figcaption {
  position: absolute;
  z-index: 1;
  color: #000;
  text-align: center;
  margin: 10px auto;
  font-size: 15px;
}
.idDesign__flex-pd .idDesignList figure:hover img {
  -webkit-transform: scale(1.2);
          transform: scale(1.2);
}

@media (min-width: 996px) {
  .idDesign {
    background: url("https://storage-asset.msi.com/global/picture/image/feature/laptop-accessories/msi-pen2s/idDesign-bg.jpg") center center no-repeat;
    background-size: cover;
    padding: 8% 0;
  }
  .idDesign__flex {
    display: grid;
    gap: 30px;
    grid-template-columns: 1fr 1.8fr;
  }
  .idDesign__flex-pd {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 50px;
  }
  .idDesign__flex-pd .idDesignList {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 20px;
  }
  .idDesign__flex-pd .idDesignList figure {
    width: 33.3333333333%;
  }
  .idDesign__flex-pd .idDesignList figure figcaption {
    margin: 20px auto;
    font-size: var(--text-md);
  }
}

/* MPP2.6 */
@-webkit-keyframes circleAni {
  0% {
    -webkit-transform: scale(0);
            transform: scale(0);
    opacity: 1;
  }
  50% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  80% {
    -webkit-transform: scale(1.2);
            transform: scale(1.2);
  }
  100% {
    opacity: 0;
    -webkit-transform: scale(1.22);
            transform: scale(1.22);
  }
}
@keyframes circleAni {
  0% {
    -webkit-transform: scale(0);
            transform: scale(0);
    opacity: 1;
  }
  50% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  80% {
    -webkit-transform: scale(1.2);
            transform: scale(1.2);
  }
  100% {
    opacity: 0;
    -webkit-transform: scale(1.22);
            transform: scale(1.22);
  }
}
.mpp26 {
  background: url("https://storage-asset.msi.com/global/picture/image/feature/laptop-accessories/msi-pen2s/mpp26-bg.jpg") center center no-repeat;
  background-size: cover;
  min-height: 100vh;
  padding: 50px 0 0;
  overflow: hidden;
}
.mpp26__flex {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: reverse;
      -ms-flex-direction: column-reverse;
          flex-direction: column-reverse;
}
.mpp26__flex-pd {
  position: relative;
  z-index: 1;
  width: 100%;
}
.mpp26__flex-pd .mpp26NB {
  position: relative;
  left: 63%;
  width: 100%;
  -webkit-transform-origin: center center;
          transform-origin: center center;
  -webkit-transform: scale(5.6);
          transform: scale(5.6);
}
.mpp26__flex-pd .mpp26Pen {
  position: absolute;
  z-index: 2;
  top: 32%;
  right: 27%;
  width: 20%;
  opacity: 0;
}
.mpp26__flex-pd .ripple {
  position: absolute;
  z-index: 1;
  top: 40%;
  right: 43%;
  width: 10%;
  opacity: 0;
}
.mpp26__flex-pd .ripple img {
  -webkit-animation: circleAni infinite 3s linear;
          animation: circleAni infinite 3s linear;
}
.mpp26__flex-pd .ripple-1 {
  position: relative;
}
.mpp26__flex-pd .ripple-2, .mpp26__flex-pd .ripple-3 {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.mpp26__flex-pd .ripple-2 {
  -webkit-animation-delay: 1s;
          animation-delay: 1s;
  opacity: 0;
}
.mpp26__flex-pd .ripple-3 {
  -webkit-animation-delay: 2s;
          animation-delay: 2s;
  opacity: 0;
}
.mpp26__flex-txt {
  position: relative;
  text-align: center;
  pacity: 0;
}
.mpp26__flex-txt figure {
  max-width: 100px;
  margin: 20px auto;
}

@media (min-width: 996px) {
  .mpp26__flex {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
  }
  .mpp26__flex-pd {
    width: 75%;
  }
  .mpp26__flex-pd .mpp26NB {
    left: 63%;
    width: 100%;
    -webkit-transform-origin: center center;
            transform-origin: center center;
    -webkit-transform: scale(5.6);
            transform: scale(5.6);
  }
  .mpp26__flex-pd .mpp26Pen {
    position: absolute;
    z-index: 2;
    top: 32%;
    right: 27%;
    width: 20%;
  }
  .mpp26__flex-pd .ripple {
    top: 40%;
    right: 43%;
    width: 10%;
  }
  .mpp26__flex-txt {
    margin-left: -200px;
    width: 40%;
  }
}

/* Precision Writing Experience */
@-webkit-keyframes paim {
  0% {
    opacity: 0;
    -webkit-transform: scale(0.8);
            transform: scale(0.8);
  }
  30% {
    opacity: 1;
  }
  50% {
    opacity: 0;
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  70% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}
@keyframes paim {
  0% {
    opacity: 0;
    -webkit-transform: scale(0.8);
            transform: scale(0.8);
  }
  30% {
    opacity: 1;
  }
  50% {
    opacity: 0;
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  70% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}
.precision {
  position: relative;
  background: -webkit-gradient(linear, left bottom, left top, from(#01080e), to(#041e35));
  background: linear-gradient(to top, #01080e, #041e35);
  padding: 50px 0;
  overflow: hidden;
}
.precision__left {
  text-align: center;
}
.precision__nav {
  margin: 20px auto;
}
.precision__nav .slick-track {
  -webkit-transform: translate3d(0px, 0px, 0px) !important;
          transform: translate3d(0px, 0px, 0px) !important;
}
.precision__nav-item {
  background: -webkit-gradient(linear, left bottom, left top, from(#596c7d), to(#3c5267));
  background: linear-gradient(to top, #596c7d, #3c5267);
  border-radius: 8px;
  padding: 10px;
  cursor: pointer;
  margin: 10px 5px;
  min-height: 90px;
}
.precision__nav-item.slick-current {
  background: -webkit-gradient(linear, left bottom, left top, color-stop(40%, #988dff), to(#5546e6));
  background: linear-gradient(to top, #988dff 40%, #5546e6);
}
.precision__main {
  position: relative;
  margin-top: -50px;
}
.precision__main-item {
  position: relative;
  width: 100%;
}
.precision__main-item .pdimg {
  position: relative;
  z-index: 0;
}
.precision__main-item figure {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}
.precision__main-item .pen {
  z-index: 2;
}
.precision__main-item .effect {
  z-index: 1;
}
.precision__main-item .paim {
  position: absolute;
  width: 15%;
  top: 84%;
  left: 31.6%;
  -webkit-animation: paim infinite 2.5s linear;
          animation: paim infinite 2.5s linear;
}

@media (min-width: 996px) {
  .precision {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    padding: 0 0 5%;
  }
  .precision .msi__container {
    position: absolute;
    z-index: 1;
  }
  .precision__left {
    width: 38%;
  }
  .precision__nav-item {
    min-height: 60px;
  }
  .precision__main {
    margin: 0 0 0 auto;
    width: 70%;
  }
}

/* Smart Interaction */
.smart {
  background: url("https://storage-asset.msi.com/global/picture/image/feature/laptop-accessories/msi-pen2s/smart-bg.jpg") center center no-repeat;
  background-size: cover;
  padding: 50px 0;
  overflow: hidden;
}
.smart__flex-txt {
  text-align: center;
}
.smart__flex-img {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
.smart__flex-img .video360 {
  position: relative;
  z-index: 1;
}
.smart__flex-img .video360 canvas {
  max-width: 500px;
}
.smart__flex-img .pic {
  position: absolute;
  z-index: 0;
  -webkit-transform: scale(1.5);
          transform: scale(1.5);
}

@media (min-width: 996px) {
  .smart {
    padding: 6% 0;
  }
  .smart__flex {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
        -ms-flex-direction: row-reverse;
            flex-direction: row-reverse;
  }
  .smart__flex-txt {
    width: 40%;
  }
  .smart__flex-img {
    width: 60%;
  }
  .smart__flex-img .video360 canvas {
    max-width: 700px;
  }
  .smart__flex-img .pic {
    -webkit-transform: scale(1.2);
            transform: scale(1.2);
  }
}

/* Maximize Productivity */
.maximize {
  background: url("https://storage-asset.msi.com/global/picture/image/feature/laptop-accessories/msi-pen2s/maximize-bg.jpg") bottom center no-repeat;
  background-size: cover;
  padding: 5% 0 10%;
  text-align: center;
  overflow: hidden;
}
.maximize__img {
  max-width: 1920px;
  margin: 8% auto 0;
  width: 50%;
  position: relative;
}
.maximize__img-clock {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-transform: perspective(800px) translate3d(0px, 100px, -200px);
          transform: perspective(800px) translate3d(0px, 100px, -200px);
}
.maximize__img-pen {
  position: absolute;
  z-index: 100;
  width: 70px;
  height: 70px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: end;
      -ms-flex-align: end;
          align-items: flex-end;
  -webkit-transform: perspective(800px) translate3d(650px, -220px, -200px) rotate3d(0, 0, 1, -45deg);
          transform: perspective(800px) translate3d(650px, -220px, -200px) rotate3d(0, 0, 1, -45deg);
}

/* Battery Status */
.battery {
  position: relative;
  background: #121315;
  padding: 50px 0 0;
  overflow: hidden;
}
.battery__txtbox {
  text-align: center;
  margin-bottom: 20px;
}
.battery__img {
  position: relative;
  z-index: 0;
  width: 100%;
}
.battery__img img {
  width: 100%;
}

@media (min-width: 996px) {
  .battery {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    padding: 0;
  }
  .battery .msi__container {
    position: absolute;
    z-index: 1;
  }
  .battery__txtbox {
    width: 40%;
    background: rgba(0, 0, 0, 0.45);
    padding: 30px;
    margin-bottom: 0;
  }
}

/* Portability */
.portability {
  background: url("https://storage-asset.msi.com/global/picture/image/feature/laptop-accessories/msi-pen2s/portability-bg.jpg") bottom center no-repeat;
  background-size: cover;
  padding: 5% 0 8%;
  text-align: center;
  overflow: hidden;
}
.portability__txtbox {
  width: 60%;
  margin: auto;
}
.portability__img {
  width: 70%;
  margin: 50px auto 0;
  position: relative;
}
.portability__img-pd {
  position: relative;
  z-index: 1;
}
.portability__img-light {
  position: absolute;
  z-index: 0;
  top: 0;
  left: 0;
  mix-blend-mode: screen;
}
.portability__img-pen {
  position: absolute;
  z-index: 3;
  top: 0%;
  left: 0%;
}